Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface StandardEntry

All Superinterfaces:
  AbstractToolEntry, EntryBase, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ToolGroupItem

All Known Implementing Classes:
  StandardEntryImpl

    public interface StandardEntry

extends AbstractToolEntry

A representation of the model object 'Standard Entry'.

The following features are supported:

- `Kind`

See Also:
  `GMFGenPackage.getStandardEntry()`
** Generated **
Model:

Method Summary
`StandardEntryKind` `getKind()` Returns the value of the 'Kind' attribute.
`void` `setKind(StandardEntryKind value)` Sets the value of the '`Kind`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.AbstractToolEntry
`getProperties, getQualifiedToolName, isDefault, setDefault, setQualifiedToolName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.EntryBase
`getCreateMethodName, getDescription, getId, getLargeIconPath, getSmallIconPath, getTitle, setCreateMethodName, setDescription, setId, setLargeIconPath, setSmallIconPath, setTitle`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.ToolGroupItem
`getGroup`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKind

    StandardEntryKind getKind()

  Returns the value of the 'Kind' attribute. The literals are from the enumeration `StandardEntryKind`.

  If the meaning of the 'Kind' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Kind' attribute.
  See Also:
    `StandardEntryKind`, `setKind(StandardEntryKind)`, `GMFGenPackage.getStandardEntry_Kind()`
  ** Generated **
  Model:
    required="true"

### setKind

    void setKind(StandardEntryKind value)

  Sets the value of the '`Kind`' attribute.

  Parameters:
    `value` - the new value of the 'Kind' attribute.
  See Also:
    `StandardEntryKind`, `getKind()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.